# Typecho追番插件

#### 项目介绍
本插件为通过Bangumi的API来获取追番信息。适用于Typecho!  
具体使用方法相见：[https://www.wikimoe.com/?post=136](https://www.wikimoe.com/?post=136)

0.克隆或者下载插件，记得把文件夹的名字改成【WikimoeBangumi】并上传到服务器。

1.安装完插件后在后台启动，设置下bangumi的账号和密码，这里推荐密码不要为自己平日常用的密码（安全起见）。

2.接下来需要在自己用的模板目录下找到平日发文章的模板。

这里我以Typecho模板默认的page.php文件为例子。

我们将文件复制一份命名为page_bangumi.php

在文件的头部增加
<?php
/**
 * 追番列表
 *
 * @package custom
 */
?>

然后在输出文章的部分

（我这里是 <?php $this->content(); ?>）

的下面添加一条 <?php WikimoeBangumi_Plugin::output(); ?>

修改完之后我的模板文件就变成了
<?php
/**
 * 追番列表
 *
 * @package custom
 */
?>
<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>
<?php $this->need('header.php'); ?>
<div class="col-mb-12 col-8" id="main" role="main">
    <article class="post" itemscope itemtype="http://schema.org/BlogPosting">
        <h1 class="post-title" itemprop="name headline"><a itemprop="url" href="<?php $this->permalink() ?>"><?php $this->title() ?></a></h1>
        <div class="post-content" itemprop="articleBody">
            <?php $this->content(); ?>
            <!--下面是插件挂载点-->
            <?php WikimoeBangumi_Plugin::output(); ?>
            <!--上面是插件挂载点-->
        </div>
    </article>
    <?php $this->need('comments.php'); ?>
</div><!-- end #main-->
 
<?php $this->need('sidebar.php'); ?>
<?php $this->need('footer.php'); ?>

3.接下来在后台→管理→独立页面中新增一个独立页面。

此时应该会在右侧【自定义模板】中找到【追番列表】四个字，使用它。

内容和标题自己适当写一下发布即可大功告成！

4.访问下这个页面看看效果吧！

1.目前这个插件还是依赖jQuery的，所以如果模板本身不带的话需要自己额外引入。
